Updated 2008-03-28 13:32:14 by LV

Sarnold offers ...
 What : Tcl-Pkg
 Where : http://sourceforge.net/projects/tcl-pkg
 Dependencies : Tcl/Tk 8.4, BWidget 1.7, TclXml 2.6
 Description : Tcl-Pkg is a sort of client-server online Tcl package repository
        browser. The purpose of this software is to access package data via a
        distributed (as in distributed computing) sort of repository.
        Then, with simple Internet access and a Web browser, users download
        static or even dynamically generated up-to-date information in XML files
        and are able to view the resources or their favorite Tcl-related
        software, packages and extensions.
        Currently at version 0.5.3 .
 Updated: 11/2006
 Contact: <stephanearnold<at>yahoo<dot>fr> & <sarnold75<at>users<dot>sourceforge<dot>net>

Screenshots


LES's attempt to run it:
 [609]Desktop> tclkit ./tcl-pkg-0.4.kit
 invalid command name "font"
    while executing
 "font create -size $::winsize($type)"
    (procedure "dimconfig" line 6)
    invoked from within
 "dimconfig"
    (file "./tcl-pkg-0.4.kit/main.tcl" line 76)
    invoked from within
 "source ./tcl-pkg-0.4.kit/main.tcl"
    ("uplevel" body line 1)
    invoked from within
 "uplevel [list source [file join $self main.tcl]]"

 [610]Desktop> tclkit
 % puts $tcl_patchLevel
 8.5a4
 % exit

 [611]Desktop> wish ./tcl-pkg-0.4/main.tcl
 Error in startup script: can't find package BWidget 1.7
    while executing
 "package require BWidget 1.7"
    (file "./tcl-pkg-0.4/main.tcl" line 104)

 [612]Desktop> tclsh
 % puts $tcl_patchLevel
 8.4.13
 % exit

Conclusions: 1) This app probably should start with [package require Tk]. 2) Requiring BWidget prevents it from running on stock Slackware 11.0 and I guess any other Linux distro that ships stock Tcl/Tk instead of some batteries included Tcl distribution. If Tcl-Pkg wants to be anything like Slackware's KISS-inspired pkg tools and serve as a starting point to people who have nothing but a very bare Tcl installation and would like to upgrade it, then Tcl-Pkg had better expect less from whatever Tcl installation users may have in terms of extensions.

Sarnold: I notice the failure. I will add [package require Tk] and [lappend auto_path ./lib] with the inclusion of BWidget and TclXML in the source-zipped archive.

BWidget is required because the browser uses a Tree and also, at some points a combobox is needed. Also, I did not notice the failure concerning the Starkit because I ran a standard GUI tclkit on Windows.

Thanks for your feedback, I did not hope it would come so fast. -- 2006-10-22

[ Category Community | Category Repository ]